Inspect Helm Chart
POST
/deployments/inspect-helm-chart
const url = 'https://api.mengi.cloud/deployments/inspect-helm-chart';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"repo_url":"example","chart_name":"example","version":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mengi.cloud/deployments/inspect-helm-chart \ --header 'Content-Type: application/json' \ --data '{ "repo_url": "example", "chart_name": "example", "version": "example" }'Inspect a Helm chart and return its metadata and resource requirements.
This endpoint fetches the chart from the repository, extracts Chart.yaml and values.yaml, and returns the chart info including default resource specs.
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}